Download it now!
Bug 78290 - FILESAVE: File gets corrupted when saved in LO (file contains line charts using built in marker 'x')
Summary: FILESAVE: File gets corrupted when saved in LO (file contains line charts usi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-05 09:26 UTC by bisal.nayal
Modified: 2014-05-21 16:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The built in marker size and type is changed (23.45 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-05 09:26 UTC, bisal.nayal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bisal.nayal 2014-05-05 09:26:31 UTC
Created attachment 98463 [details]
The built in marker size and type is changed

Steps to Reproduce:

1) Open the attached file. The attached file contains a line chart with markers.
2) Save in LO as *.docx file.
3) Open in MS office 2010

Expected :

1) File should open

Actual:

1) File corruption dialog of MSWord 2010 pops up.
Comment 1 bisal.nayal 2014-05-05 09:29:38 UTC
The original values of the marker are :

‒<c:marker>
<c:symbol val="x" />
<c:size val="7" />
</c:marker>


After saving in Libre Office it is :

‒<c:marker>
<c:symbol val="X" />
<c:size val="6" />
‒<c:spPr>
‒<a:solidFill>
<a:srgbClr val="ee4000" />
</a:solidFill>
</c:spPr>
</c:marker>
Comment 2 Commit Notification 2014-05-20 10:12:58 UTC
Bisal Singh Nayal committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee0bb265c90a135afa53c0fa6a586996e67640fa

fdo#78290 : The File gets corrupted when saved in LO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-05-21 16:23:24 UTC
Fixed, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 19979ae27055cb910bfc368bfc2899d211f56be1
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-21_00:29:23